@import url("https://fonts.googleapis.com/css2?family=Spartan:wght@100;200;300;400;500;600;700;800;900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Spartan", sans-serif;
}

html {
  scroll-behavior: smooth;
}

/* Global Styles */

h1 {
  font-size: 50px;
  line-height: 64px;
  color: #222;
}

h2 {
  font-size: 46px;
  line-height: 54px;
  color: #222;
}

h4 {
  font-size: 20px;
  color: #222;
}

h6 {
  font-weight: 700;
  font-size: 12px;
}

p {
  font-size: 16px;
  color: #465b52;
  margin: 15px 0 20px 0;
}

.section-p1 {
  padding: 40px 80px;
}

.section-m1 {
  margin: 40px 0;
}

button.normal{
    font-size: 14px;
    font-weight: 600;
    padding: 15px 30px;
    color: #f6eee8;
    background-color: #ff6d00;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    outline: none;
    transition: 0.2s;
}

button.white{
    font-size: 13px;
    font-weight: 600;
    padding: 11px 18px;
    color: #1a1a1a;
    background-color: transparent;
    cursor: pointer;
    border: 1px solid #1a1a1a;
    outline: none;
    transition: 0.2s;
}

body {
  width: 100%;
}

#header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background: #fffde8;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

#navbar {
   display: flex;
   align-items: center;
   justify-content: center;
}

#navbar li{
    list-style: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    color: #1a1a1a;
    transition: 0.3s ease;
}

#navbar li a:hover, 
#navbar li a.active{
    color: #ff6d00;
}

#navbar li a.active::after,
#navbar li a:hover::after{
    content: "";
    width: 30%;
    height: 2px;
    background: #ff6d00;
    position: absolute;
    bottom: -4px;
    left: 20px;
}

#mobile{
    display: none;
    align-items: center;
}

#close{
    display: none;
}

/* Home Page */

#hero{
    background-image: url("img/hero.png");
    height: 90vh;
    width: 100%;
    background-size: cover;
    background-position: top 25% right 0;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

#hero h4{
    padding-bottom: 15px;
}

#hero h1{
    color: #ff6d00;
}

#hero button{
    background-image: url("img/button.png");
    background-color: transparent;
    color: #ff6d00;
    border: 0;
    padding: 14px 80px 14px 65px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 15px;
}

#featured{
    text-align: center;
}

#featured .pro-container{
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
    flex-wrap: wrap;
}

#featured .pro{
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}

#featured .pro:hover{
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.06);
}

#featured .pro img{
    width: 100%;
    border-radius: 20px;
}

#featured .pro .des{
    text-align: start;
    padding: 10px 0;
}

#featured .pro .des span{
    color: #606063;
    font-size: 12px;
}

#featured .pro .des h5{
    padding-top: 7px;
    color: #1a1a1a;
    font-size: 14px;
}

#featured .pro .des i{
    font-size: 12px;
    color: rgb(243, 181, 25);
}

#featured .pro .des h4{
    padding-top: 7px;
    font-size: 15px;
    font-weight: 700;
    color: #ff6d00;
}

#featured .pro .cart{
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #f6eee8;
    font-weight: 500;
    color: #ff6d00;
    border-color: 1px solid #f6eee8;
    position: absolute;
    bottom: 20px;
    right: 10px;
}

#banner{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url(img/banner/bn2.jpg);
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

#banner h4{
    font-size: 16px;
}

#banner h2{
    font-size: 30px;
    padding: 10px 0;
}

#banner h2 span{
    color: #ff6d00;
}

#banner button:hover{
    background-color: #1a1a1a;
    color: #fffde8;
}

#sm-banner{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

#sm-banner .banner-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    background-image: url(img/banner/sm1.jpg);
    min-width: 660px;
    height: 58vh;
    background-size: cover;
    background-position: center;
    padding: 30px;
    border-radius: 4px;
}

#sm-banner .banner-box2{
    background-image: url(img/banner/sm2.jpg);
}

#sm-banner h4{
    color: #465b52;
    font-size: 24px;
    font-weight: 400;
}

#sm-banner h2{
    color: #465b52;
    font-size: 32px;
    font-weight: 800px;
}

#sm-banner span{
    color: #465b52;
    font-size: 18px;
    font-weight: 500;
    padding-bottom: 15px ;
}

#sm-banner .banner-box:hover button{
    background: #ff6d00;
    color: #f6eee8;
    border: 1px solid #ff6d00;
}

#newsletter{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: url(img/banner/b14.png);
    background-repeat: no-repeat;
    background-position: 20% 30%;
    background-color: #fffde8;
}

#newsletter h4{
    font-size: 22px;
    font-weight: 700;
    color: #ff6d00;
}

#newsletter p{
    font-size: 14px;
    font-weight: 600;
    color: #1a1a1a; 
}

#newsletter p span{
    color: #ff6d00;
}

#newsletter .form{
    display: flex;
    width: 40%;
}

#newsletter input{
    height: 3.125rem;
    padding: 0 1.25em;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#newsletter button{
    background-color: #ff6d00;
    color: #f6eee8;
    white-space: nowrap;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
}

footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .col{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer .logo{
    margin-bottom: 30px;
}

footer h4{
    font-size: 14px;
    padding-bottom: 20px;
}

footer p{
    font-size: 13px;
    margin: 0 0 8px 0;
}

footer a{
    font-size: 13px;
    text-decoration: none;
    color: #1a1a1a;
    margin-bottom: 10px;
}

footer .follow{
    margin-top: 20px;
}

footer .follow i{
    color: #465b52;
    padding-right: 4px;
    cursor: pointer;
}

footer .install .row img{
    border: 1px solid #ff6d00;
    border-radius: 6px;
}

footer .install img{
    margin: 10px 0 15px 0;
}

footer .follow i:hover,
footer a:hover{
    color: #ff6d00;
}

footer .copyright{
    width: 100%;
    text-align: center;
}

/* Contact Page */

#page-header {
    background-image: url("img/banner/b1.jpg");
    width: 100%;
    height: 40vh;
    background-size: cover;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    padding: 14px;
}

#page-header h2,
#page-header p{
    color: #e1e1e1;
}
#contact-details{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#contact-details .details{
    width: 40%;
}

#contact-details .details span,
#form-details form span{
    font-size: 12px;
}

#contact-details .details h2,
#form-details form h2{
    font-size: 26px;
    line-height: 35px;
    padding: 20px 0;
}

#contact-details .details h3{
    font-size: 16px;
    padding-bottom: 15px;
}

#contact-details .details li{
    list-style: none;
    display: flex;
    padding: 10px 0;
}

#contact-details .details li i{
   font-size: 14px;
   padding-right: 22px;
}

#contact-details .details li p{
    margin: 0;
    font-size: 14px;
}

#contact-details .map{
    width: 50%;
    height: 400px;
}

#contact-details .map iframe{
    width: 100%;
    height: 100%;
}

#form-details{
    display: flex;
    justify-content: space-between;
    margin: 30px;
    padding: 80px;
    border: 1px solid #e1e1e1;
}

#form-details form{
    width: 65%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

#form-details form input,
#form-details form textarea{
    width: 100%;
    padding: 12px 15px;
    outline: none;
    margin-bottom: 20px;
    border: 1px solid #e1e1e1;
}

#form-details .people div{
    padding-bottom: 25px;
    display: flex;
    align-items: flex-start;
}

#form-details .people div img{
    width: 65px;
    height: 65px;
    object-fit: cover;
    margin-right: 15px;
}

#form-details .people div p{
    margin: 0;
    font-size: 13px;
    line-height: 25px;
}

#form-details .people div p span{
    display: block;
    font-size: 16px;
    font-weight: 600;
    color: #1a1a1a;
}



/* Media Query */

@media (max-width:799px) {
    #navbar {
        display: flex;
        flex-direction:column;
        align-items: flex-start;
        justify-content: flex-start;
        position: fixed;
        top: 0;
        right: -300px;
        height: 100vh;
        width: 300px;
        background-color: #fffde8;
        box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
        padding: 80px 0 0 10px;
        transition: 0.3s;
    }

    #navbar.active{
        right: 0px;
    }

    #navbar li{
        margin-bottom: 25px;
    }

    #mobile{
        display: flex;
        align-items: center;
    }

    #mobile i{
        color: #1a1a1a;
        font-size: 24px;
        padding-left: 20px;
    }

    #close{
        display: initial;
        position: absolute;
        top: 30px;
        left: 30px;
        color: #222;
        font-size: 24px;
    }

    #lg-bag{
        display: none;
    }

    #hero {
        height: 70vh;
        padding: 0 80px;
        background-position: top 30% right 30%;
    }

    #featured .pro-container {
        justify-content: center;
    }

    #featured .pro{
        margin: 15px;
    }

    #banner {
        height: 30vh;
    }

    #sm-banner .banner-box {
        min-width: 100%;
        height: 40vh;
    }

    #newsletter .form {
        width: 70%;
    }

    /* Contact Page */
    #form-details {
        padding: 40px;
    }

    #form-details form {
        width: 50%;
    }
}

@media (max-width: 477px) {
    #header{
        padding: 10px 30px;
    }

    #hero{
        padding: 0 20px;
        background-position: 55%;
    }

    h2{
        font-size: 32px;
    }

    h1{
        font-size: 38px;
    }

    .section-p1{
        padding: 20px;
    }

    #featured .pro{
        width: 100%;
    }

    #banner{
        height: 50vh;
    }

    #sm-banner .banner-box{
        height: 55vh;
    }

    #sm-banner .banner-box2{
        margin-top: 20px;
    }

    #newsletter .form{
        width: 100%;
    }

    #newsletter{
        padding: 40px 20px;
    }

    footer .copyright{
        text-align: start;
        font-size: 20px;
    }

    /* Contact Page */


    #contact-details {
        display: flex;
        flex-direction: column;
    }

    #contact-details .details {
        width: 100%;
        margin-bottom: 30px;
    }

    #contact-details .map{
        width: 100%;
    }

    #form-details {
        margin: 10px;
        padding: 30px 10px;
        flex-wrap: wrap;
    }

    #form-details form{
        width: 100%;
        margin-bottom: 30px;
    }

}